Skip to main content
POST
/
sdk
/
create-session
Create Session
curl --request POST \
  --url https://api.botshield.ai/operations/sdk/create-session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "partner_user_id": "<string>",
  "metadata": {}
}
'
{
  "data": {
    "anchor_grant_token": "<string>",
    "anchor_grant_expires_at": "2023-11-07T05:31:56Z",
    "anchor_grant_expires_in_seconds": 123,
    "session_token": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "expires_in_seconds": 123,
    "organization": {
      "id": "<string>",
      "environment": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Your BotShield API key (e.g., bs_live_sk_... for production, bsk_test_... for test). For create-verification-link, use the session token (bss_*) returned from create-session.

Body

application/json
partner_user_id
string

Your platform's internal user identifier for the user being verified

metadata
object

Custom metadata to attach to this session

Response

Session created successfully

data
object
required